# SFML - Simple and Fast Multimedia Library

SFML 3.0.0

- Main Page
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Macros
Config.hpp File Reference

Go to the source code of this file.

## Macros

#define | SFML_VERSION_MAJOR 3
#define | SFML_VERSION_MINOR 0
#define | SFML_VERSION_PATCH 0
#define | SFML_VERSION_IS_RELEASE true
#define | SFML_DEBUG
#define | SFML_API_EXPORT __attribute__((__visibility__("default")))
#define | SFML_API_IMPORT __attribute__((__visibility__("default")))

## Macro Definition Documentation

## ◆ SFML_API_EXPORT

#define SFML_API_EXPORT __attribute__((__visibility__("default")))

Definition at line 144 of file Config.hpp.

## ◆ SFML_API_IMPORT

#define SFML_API_IMPORT __attribute__((__visibility__("default")))

Definition at line 145 of file Config.hpp.

## ◆ SFML_DEBUG

#define SFML_DEBUG

Definition at line 119 of file Config.hpp.

## ◆ SFML_VERSION_IS_RELEASE

#define SFML_VERSION_IS_RELEASE true

Definition at line 34 of file Config.hpp.

## ◆ SFML_VERSION_MAJOR

#define SFML_VERSION_MAJOR 3

Definition at line 31 of file Config.hpp.

## ◆ SFML_VERSION_MINOR

#define SFML_VERSION_MINOR 0

Definition at line 32 of file Config.hpp.

## ◆ SFML_VERSION_PATCH

#define SFML_VERSION_PATCH 0

Definition at line 33 of file Config.hpp.